body{
    box-sizing: border-box;
    margin:0;
    padding: 0;
    font-family: Poppins, Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    /* background-color:  rgba(230, 224, 224, 0.281); */
    overflow-x: hidden;
    font-size: 0.9em;
}

.main-container{
    max-width: 65%;
    background-color:rgb(210, 233, 233);
    margin: 0 auto;
    padding: 3% 7%;
}

.section-heading{
    font-weight: bold;
    font-size: large;
    padding-bottom: 1.5em;
    color: black;
    padding-top: 3em;
    
}
/* HEADER ................................................................ */
.header {
    height: auto;
    text-align: center;
    vertical-align: middle;
    font-size: large;
    /* font-weight: bold; */
    line-height: 20px;
    top: 0;
    left: 0;
    width: auto;
    position: relative;
                
    }

header{
    margin: 0;
    padding-bottom: 2%;
}

.nav-bar{
    padding-bottom: 10px;
    border-bottom: 2px solid rgb(158, 154, 154);
}

nav {
    background-color:  rgb(67, 154, 151);
    font-size: 0.9em;
    padding: 10px;
    padding-left: 1.5%;
    height: 1em;
    line-height: 1em;
    max-width: 90%;
    margin: auto;
  }
  
  nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  
  nav li {
    display: inline-block;
    align-content: space-between;
    margin-right: 2%;
  }
  
  nav a:hover {
    color: rgb(210, 233, 233);
  }

/* ABOUT ME ........................................................  */

.about-grid{
    display: grid;
    grid-template-columns: 60% 30%;
    column-gap: 7%;
}

.profile-description{
    text-align: justify;
}

.profile-image{
    height: 250px;
}

.profile-image img{
    height: 100%;
    width: 100%;
    border-radius: 20px;
}

/* EDUCATION .........................................................  */

.experience {
    display: flex;
    margin-bottom: 0%;
    margin-bottom: 2%;  
    }

.company-name{
    font-size: medium;
    font-weight: bold;
}

.company-logo {
    width: 25%;
    padding: 25px;
    border-right: 2px solid rgb(158, 154, 154);
    display: flex;
    justify-content: center;
    align-items: center;
    }

.company-logo img{
    border-radius: 50%;
    width: 9em;
    height: 9em;
}
    
.job-detail {
    width: 75%;
    height: fit-content;
    padding: 5px;
    padding-left: 20px; 
    }

.responsibilities {
    width: 95%;
    text-align: justify;
    line-height: normal;
}

button {
    background-color: rgb(67, 154, 151);
    border: solid 1px transparent;
    border-radius: 20px;
    /* color: white; */
    padding: 5px 20px;
    font-size: 0.6em;
    margin-left: 5%;
    }

    button:hover {
    cursor: pointer;
    border: solid 1px rgb(67, 154, 151);
    background-color: transparent;
    color: rgb(67, 154, 151);
    }

/* EXPERIENCE ...................................... */

li::marker {
    color:  rgb(67, 154, 151);
  }


/* PROJECTS.......................................... */

.project {
    display: flex;
    flex-wrap: wrap;
    }

.feature {
    display: inline-block;
    height: fit-content;
    width: 30%; /* set the width of each feature to 30% of the container */
    margin: 1.5%; /* add margin to create space between each feature */
    vertical-align: top; /* align the top of each feature */
    box-sizing: border-box; /* include padding and border in the element's total width and height */
    background-color: #fff;
    border: 1px solid #c6cbce ;
    -webkit-box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
    box-shadow: 2px 2px 13px -4px rgba(0, 0, 0, 0.21);
    padding-bottom: 20px;
  }

  .project-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    height: auto;
    font-size:medium;  
    height: auto;
    padding-left: 10px;
    padding-right: 10px;  
    padding-top: 15px;
    font-weight:900;  
  }

  .project-description{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* Change this value to adjust the number of lines */
    -webkit-box-orient: vertical;
    line-height: 1.5em; 
    padding-left: 10px;
    padding-right: 10px;
  }

  a {
    text-decoration: none;
    color: black;
  }

  .feature:hover {
    box-shadow: 3px 3px 6px rgba(0,0,0,0.3);
  }
 .image{
    height: 150px;
 }
img {
    width: 100%;
    height: 100%;
  }

  .modal {
    display: none;
    position: fixed;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow:-moz-hidden-unscrollable;
    background-color: rgba(0, 0, 0, 0.4);
    align-content: center;
    align-items: center;
}

.modal-content {
    background-color: #fefefe;
    margin: 10vh auto;
    padding: 2%;
    border: 1px solid #888;
    max-width: 60%;
    max-height: 70vh;
    font-size: 0.95em;
    line-height: 1.7em;
    overflow: scroll;
}

.close {
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    top: 10vh;
    right: 19%;

  }
 
.close:hover,
.close:focus {
    color:rgb(67, 154, 151);
    text-decoration: none;
    cursor: pointer;
}

/* Scroll Bars  */
  /* Track */
    /* WebKit Browsers (Chrome, Safari) */
    ::-webkit-scrollbar {
        width: 10px;
      }
  
      ::-webkit-scrollbar-track {
        background: #f1f1f1;
      }
  
      /* Handle */
      ::-webkit-scrollbar-thumb {
        background: #acabab;
      }
  
      /* Handle on hover */
      ::-webkit-scrollbar-thumb:hover {
        background: #929191;
      }
  
      /* Track */
      /* Non-WebKit Browsers (Firefox, IE, Edge) */
      /* Hide the scrollbar track in IE and Edge */
      html::-ms-scrollbar {
        display: none;
      }
  
      /* Handle */
      /* Non-WebKit Browsers (Firefox, IE, Edge) */
      html::-webkit-scrollbar-thumb {
        background-color: rgb(202, 199, 199)aba;
      }
  
      /* Handle on hover */
      /* Non-WebKit Browsers (Firefox, IE, Edge) */
      html::-webkit-scrollbar-thumb:hover {
        background-color: #9c9999;
      }

/* PUBLICATION.................................................... */
.pub{
    margin: auto;
    padding: 1.5%;
    padding-left: 0%;
    border-bottom: 0.5px solid #ced6db;
    border-top: 0.5px solid #ced6db;
    line-height: 1.7em;
    font-size: 1.05em;
  }

  .pub-title{
    font-size: 1em;
    font-family: inherit;
    color: inherit;
    color: black;
  }

  .url{
    background-color: rgb(67, 154, 151);
    border: solid 1px transparent;
    width: fit-content;
    padding: 0.5%;
    padding-top: 0.1%;
    padding-bottom: 0.1%;
    border-radius: 20px;
    margin-top: 1%;
  }
  
  .journal{
    font-weight: lighter;
  }
  
  
  .url a{
    text-decoration: none;
    padding: 0 7px;
    font-size: small;
  }

  .url:hover{
    background-color: transparent;
    border: solid 1px rgb(67, 154, 151);
    color: black !important;
  }

 .url a:hover{
    color: black !important;
  }

  /* TECHNICAL SKILLS ..............................*/

  .skill-name  {
    white-space: nowrap;
    overflow: hidden;
    height: auto;
    font-size:12px;  
    padding: 1%; 
    font-weight:bolder;  
    text-align: center;
  }
  .skill-feature:hover{
    
    transform: scale(0.97);
} 

.skill-feature {
  display: inline-block;
  height: fit-content;
  width: 18.5%; /* set the width of each feature to 30% of the container */
  margin: .5%; /* add margin to create space between each feature */
  vertical-align: top; /* align the top of each feature */
  box-sizing: border-box; /* include padding and border in the element's total width and height */
  background-color: #fff;
  border: 1px solid #b2b9bd ;
}

.image-skill{
    height: 9em;
    padding: 0%;
}


/* FOOTER.................................. */
.footer{
    padding-top: 5%;
    max-width: 50%;
    margin: auto;
  }
  
  .footer p{
    text-align: center;
    font-weight:lighter;
    line-height: 1em;
    font-size: 1em;
    letter-spacing: 0.1em;
  }
  
  .footer p:first-child {
      font-weight: bold;
      font-size: medium;
      margin-bottom: 5%;
    }
/* BACK TO TOP ................................ */
.back-to-top {
    position: fixed;
    bottom: 5%;
    right: 5%;
    background-color: #fff;
    color:  rgb(67, 154, 151);
    border: none;
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    font-size: 1.5em;
    }

    .back-to-top.show {
    opacity: 1;
    }

    .toggle-button{
        display: none;
    }
.toggle-nav-name{
    display: none;
}
/* MOBILE VIEW ................................................. */

@media only screen and (max-width: 600px) {

.main-container{
    max-width: 100%;
    padding: 3% 7%;
}

.about-grid{
    display: flex;
    flex-direction: column-reverse;
    row-gap: 20px;
}

.responsibilities{
    text-align: left;
}

.company-logo {
    border-right: 0.1px solid rgb(168, 164, 164);
}

.feature{
    width: 94%;
}

.modal-content {
    max-width: 90%;
}

.close{
    right: 5%;
}

::-webkit-scrollbar {
    width: 3px;
  }

  button {
    border-radius: 20px;
    /* color: white; */
    padding: 2px 10px;
}
.url {
    padding: 5px;
    padding-top: 0px;
    padding-bottom: 0px;
    border-radius: 20px;
    margin-top: 1%;
    margin-bottom: 1%;
}

.skill-feature {
    width: 48%;
    margin-left: 0.1px;
}
.skill{
    margin: 0 auto;
    padding-left: 3%;
}

header{
    display: none;
}
.toggle-button{
    display:inline-block;
    position: absolute;
    background-color: transparent !important;
    border: none;
    color: black;
    font-size: large;
    top: 1.7rem;
    right: 1rem;
    z-index: 2000;
}
.toggle-button:hover{
    background-color: transparent !important;
    border: none;
    color: black;
}

.nav-list[data-visible = "true"]{
    transform: translateX(0%);
}
.nav-list{
    position: fixed;
    inset: 0 0 0 30%;
    background-color: rgb(67, 154, 151);
    z-index: 1000;
    transform: translateX(100%);
    transition: transform 350ms ease-in-out;
}

.nav-bar{
    padding-bottom: 50px;
}

nav {
    background-color:  transparent;
  }
  .nav-right{
    display: flex;
    flex-direction: column;
    margin-left: 0%;
    padding: min(30vh, 5rem) 5em;
    line-height: 4em;
    align-items: flex-start;
    font-weight: bold;
}

.toggle-nav-name{
    display: flex;
    align-items: flex-start;
}

.section-heading{
    padding-top: 2em;
}
.back-to-top {
    background-color: transparent;
}

}